From 6871e380d83d42541b89790129ae957c653e463c Mon Sep 17 00:00:00 2001
From: Miroslav Rezanina <mrezanin@redhat.com>
Date: Thu, 10 Jul 2014 08:21:50 +0200
Subject: [PATCH 199/212] Use legacy SMBIOS for rhel machine types.

To prevent changes during migration we need to use legacy SMBIOS handling.

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 hw/i386/pc_piix.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/hw/i386/pc_piix.c b/hw/i386/pc_piix.c
index 3d0e764..021cf22 100644
--- a/hw/i386/pc_piix.c
+++ b/hw/i386/pc_piix.c
@@ -1120,6 +1120,8 @@ static void pc_compat_rhel650(MachineState *machine)
     if (!machine->cpu_model) {
         machine->cpu_model = "cpu64-rhel6";
     }
+    smbios_legacy_mode = true;
+
     x86_cpu_compat_set_features("pentium", FEAT_1_EDX, 0, CPUID_APIC);
     x86_cpu_compat_set_features("pentium2", FEAT_1_EDX, 0, CPUID_APIC);
     x86_cpu_compat_set_features("pentium3", FEAT_1_EDX, 0, CPUID_APIC);
-- 
1.7.1

